<head>
    <title>LSV - Club section</title>
</head>

{% extends "base.html" %}
{% load static %}

{% block content %}
    <div>
        <h1 class="text-uppercase">Club section</h1>
        <p style="text-align: justify">Club section information will be there soon...</p>
    </div>

    <div>
        <h2> Newest two actualities. </h2>
        {% for actuality in actualities %}
        <a class="black" href="{% url 'club:actuality' actuality.id %}">
        <div class="actuality-b">

            <div style="text-align: center">
                <h3>{{ actuality.topic }}</h3>
            </div>

            <div class="row justify-content-md-center">
                <div class="col-sm-8">
                    <div style="min-height: 100px">
                        <p>{{ actuality.story|truncatechars:400 }}</p>
                        <div class="actuality-date">
                        <p class="actuality-sign">Created {{ actuality.created|date:'H:i j-n-Y' }} by user {{ actuality.author }}.</p>
                        {% if not actuality.modified == actuality.created %}
                            <p class="actuality-sign">Last modification: {{ actuality.modified|date:'H:i j-n-Y' }}.</p>
                        {% endif %}
                        </div>
                    </div>
                </div>

                <div class="col-sm-4 actuality-image">
                    {% if actuality.image %}
                        <img src="{{ actuality.image.url }}" class="actuality-image" alt="Item image">
                    {% endif %}
                </div>
            </div>
        </div>
        </a>
        {% endfor %}
        <div style="text-align: center; margin-top: 10px; margin-bottom: 10px">
            <button onclick='location.href="{% url "club:actualities"  %}"' type="button">All Actualities</button>
        </div>
    </div>

    <div>
        <h2> Newest two themes in forum </h2>
        {% for discussion in discussions %}
        <a class="black" href="{% url 'club:discussion' discussion.id %}">
        <div class="actuality-b">

            <div style="text-align: center">
                <h3>{{ discussion.theme }}</h3>
            </div>

            <div class="row justify-content-md-center">
                <div class="col-sm-8">
                    <div style="min-height: 100px">
                        <p>{{ discussion.post|truncatechars:400 }}</p>
                        <div class="actuality-date">
                        <p class="actuality-sign">Created {{ discussion.posted|date:'H:i j-n-Y' }} by user {{ discussion.author }}.</p>
                        {% if not discussion.modified == discussion.posted %}
                            <p class="actuality-sign">Last modification: {{ discussion.modified|date:'H:i j-n-Y' }}.</p>
                        {% endif %}
                        {% for reaction in reactions %}
                            {% if discussion.id == reaction.reaction %}
                            <p class="actuality-sign">Reactions: {{ reaction.id__count }}</p>
                            {% endif %}
                        {% endfor %}
                        </div>
                    </div>
                </div>

                <div class="col-sm-4 actuality-image">
                    {% if discussion.image %}
                        <img src="{{ discussion.image.url }}" class="actuality-image" alt="Item image">
                    {% endif %}
                </div>
            </div>

        </div>
        </a>
        {% endfor %}
        <div style="text-align: center; margin-top: 10px; margin-bottom: 10px">
            <button onclick='location.href="{% url "club:discussions"  %}"' type="button">All Discussions</button>
        </div>
    </div>

{% endblock %}
